Subject: [os2genau_digest] No. 1993
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 29 Jul 2010 00:00:19 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Wednesday 28 July 2010
 Number  1993
**************************************************

Subjects for today
 
1   Web servers : Peter Moylan <peter at pmoylan dot org>
2  Re:  Web servers : Voytek Eymont" <voytek at sbt dot net dot au>

**= Email   1 ==========================**

Date:  Wed, 28 Jul 2010 20:37:49 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   Web servers

I have always preferred to use the Web/2 server, on the grounds that
it's lightweight and takes about ten seconds to configure. However, I'm
now looking at the possibility of hosting a second domain, and I don't
think Web/2 can do that. Accordingly, I'm looking for recommendations
for a different web server.

I evaluated all available OS/2 web servers quite a few years ago, and
discovered that most of them were designed for faster processors than I
had. I now have a faster processor (400 MHz), so Apache is an obvious
candidate, but as I recall it Apache, in line with its Unix heritage,
was almost incredibly painful to configure. Is that still true? Hmm, I
see that Apache Tomcat is a newer offering and is Java-based, so
presumably easier to manage ... but Java applications tend to be pretty
slow. Does anyone have experience with that one?

Unrelated question: a friend of mine, a Windows user, is considering
running her own web server. What would people recommend for Windows,
especially for someone who is not a computer expert? Nothing fancy
needed, although she might need CGI support.

(Well, of course she's not an expert. If she was an expert she wouldn't
be stuck with Windows.)

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Wed, 28 Jul 2010 21:28:44 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Web servers

<quote who="Peter Moylan">
> I have always preferred to use the Web/2 server, on the grounds that
> it's lightweight and takes about ten seconds to configure. However, I'm now
> looking at the possibility of hosting a second domain, and I don't think
> Web/2 can do that. Accordingly, I'm looking for recommendations
> for a different web server.
>
> I evaluated all available OS/2 web servers quite a few years ago, and
> discovered that most of them were designed for faster processors than I
> had. I now have a faster processor (400 MHz), so Apache is an obvious
> candidate, but as I recall it Apache, in line with its Unix heritage, was
> almost incredibly painful to configure. Is that still true?

well, I don't think it ever was that painful

if I managed, I'm sure you can

IIRC... what speed were the early P2...? 400 I think...
we was running P2 with OS/2 Apache and maybe 30 or more vhosts
when we had the air race site, and, a plane crashed, the ISDN link was
running at like 90/95%, the P2 and Warp/Apache just chugged along, no
issues

> Hmm, I see
> that Apache Tomcat is a newer offering and is Java-based, so presumably
> easier to manage ... but Java applications tend to be pretty slow. Does
> anyone have experience with that one?

no, but you've said it: "Java applications tend to be pretty slow"

>
> Unrelated question: a friend of mine, a Windows user, is considering
> running her own web server. What would people recommend for Windows,
> especially for someone who is not a computer expert? Nothing fancy needed,
> although she might need CGI support.

counseling ? yoga ? relaxation techniques ?

> (Well, of course she's not an expert. If she was an expert she wouldn't
> be stuck with Windows.)

-- 
Voytek

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG